/**
 * @license
 * Copyright 2019 Google LLC. All Rights Reserved.
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * =============================================================================
 */
/// <reference types="@webgpu/types" />
import { WebGPUProgram } from '../webgpu_program';
export declare class FromPixelsProgram implements WebGPUProgram {
    outputShape: number[];
    shaderKey: string;
    workPerThread: number;
    dispatchLayout: {
        x: number[];
    };
    variableNames: string[];
    dispatch: [number, number, number];
    workGroupSize: [number, number, number];
    pipeline: GPUComputePipeline;
    bindGroupLayout: GPUBindGroupLayout;
    uniform: GPUBuffer;
    lastUniformData: number[];
    inputTexture: GPUTexture;
    lastPixelSize: {
        width: number;
        height: number;
    };
    private disposed;
    updateOutputShape(outputShape: number[]): void;
    constructor(outputShape: number[]);
    getUserCode(): string;
    setWebGPUBinary(bindGroupLayout: GPUBindGroupLayout, pipeline: GPUComputePipeline): void;
    setUniform(device: GPUDevice, uniformData: number[]): void;
    makeInputTexture(device: GPUDevice, pixelWidth: number, pixelHeight: number): GPUTexture;
    dispose(): void;
}
